summaryrefslogtreecommitdiffstats
path: root/modules.d/01systemd-pstore
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 13:54:25 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 13:54:25 +0000
commit9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a (patch)
tree2efb72864cc69e174c9c5ee33efb88a5f1553b48 /modules.d/01systemd-pstore
parentInitial commit. (diff)
downloaddracut-9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a.tar.xz
dracut-9cb1c4df7b9ce1a9ad1312621b0f2b16a94fba3a.zip
Adding upstream version 060+5.upstream/060+5
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'modules.d/01systemd-pstore')
-rwxr-xr-xmodules.d/01systemd-pstore/module-setup.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/modules.d/01systemd-pstore/module-setup.sh b/modules.d/01systemd-pstore/module-setup.sh
new file mode 100755
index 0000000..67034bb
--- /dev/null
+++ b/modules.d/01systemd-pstore/module-setup.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+# This file is part of dracut.
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+# Prerequisite check(s) for module.
+check() {
+
+ # If the binary(s) requirements are not fulfilled the module can't be installed.
+ require_binaries "$systemdutildir"/systemd-pstore || return 1
+
+ # Return 255 to only include the module, if another module requires it.
+ return 255
+
+}
+
+# Module dependency requirements.
+depends() {
+
+ # This module has external dependency on other module(s).
+ echo systemd
+ # Return 0 to include the dependent module(s) in the initramfs.
+ return 0
+
+}
+
+# Install kernel module(s).
+installkernel() {
+ instmods efi-pstore
+}
+
+# Install the required file(s) and directories for the module in the initramfs.
+install() {
+
+ inst_dir /var/lib/systemd/pstore
+ inst_multiple -o \
+ "$tmpfilesdir/systemd-pstore.conf" \
+ "$systemdutildir"/systemd-pstore \
+ "$systemdsystemunitdir"/systemd-pstore.service \
+ "$systemdsystemunitdir/systemd-pstore.service.d/*.conf"
+
+ # Enable systemd type unit(s)
+ $SYSTEMCTL -q --root "$initdir" enable systemd-pstore.service
+
+ # Install the hosts local user configurations if enabled.
+ if [[ $hostonly ]]; then
+ inst_multiple -H -o \
+ "$systemdutilconfdir"/pstore.conf \
+ "$systemdutilconfdir/pstore.conf.d/*.conf" \
+ "$systemdsystemconfdir"/systemd-pstore.service \
+ "$systemdsystemconfdir/systemd-pstore.service.d/*.conf"
+ fi
+
+}